Subject: RE: Problem compiling cygwin1.dll from CVS
From: "Gabriel SOUBIES" <[email-masked]>
To: "Nuno Ferreira" <[email-masked]>
Cc: "Cygwin mailing list" <[email-masked]>
Date: Thu, 15 Jan 2004 11:52:51 +0100

I finally managed to re-build Cygwin, and your hint helped me a lot!
The problem was that i was downloading the sources using Cygwin's CVS on a
machine where Cygwin had been installed in NT mode (not by me).
Then I burned the sources and tried to compile on my machine, where Cygwin
is installed in Unix mode.
I had Cygwin reinstalled in Unix mode on the machine I used for downloading
and that solved everything.
Maybe a note about this problem could be added to the FAQ page named "How do
I rebuild the tools on my NT box?" ...

Gabriel Soubies

-----Message d'origine-----
De : Nuno Ferreira [mailto:[email-masked]]
Envoyé : mercredi 14 janvier 2004 20:46
À : Gabriel SOUBIES
Cc : Cygwin mailing list
Objet : RE: Problem compiling cygwin1.dll from CVS

On Ter, 2004-01-13 at 15:41, Gabriel SOUBIES wrote:
> Thanks for your reply.
> I moved everything under a directory /CompilCygwin that I just created.
> Unfortunately, it didn't change anything, i get the same error...

Hi,
I had the original problem and solved it but forgot to share it with the
list.
My problem was caused because I used wincvs to checkout the cygwin
sources because I had some problem (don't remeber what) with cygwin's
cvs. Because wincvs is running on NT it performs the LF -> CR/LF on text
files and the file ends up with the extra ^M.
Checking out the sources under cygwin solved the problem.

--
Nuno

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/